"""Lengow URL Configuration

The `urlpatterns` list routes URLs to views. For more information please see:
    https://docs.djangoproject.com/en/1.9/topics/http/urls/
Examples:
Function views
    1. Add an import:  from my_app import views
    2. Add a URL to urlpatterns:  url(r'^$', views.home, name='home')
Class-based views
    1. Add an import:  from other_app.views import Home
    2. Add a URL to urlpatterns:  url(r'^$', Home.as_view(), name='home')
Including another URLconf
    1. Import the include() function: from django.conf.urls import url, include
    2. Add a URL to urlpatterns:  url(r'^blog/', include('blog.urls'))
"""
from django.conf.urls import url, include
from django.contrib import admin

from rest_framework import routers

from orders import views
from orders.views import OrderViewSet

router = routers.DefaultRouter()
router.register(r'orders', OrderViewSet)

urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^create/', views.OrderCreateView.as_view(), name='create'),
    url(r'^api/', include(router.urls)),
    url(r'^api-auth/', include('rest_framework.urls', namespace='rest_framework')),
    url(r'^$', views.OrderIndexView.as_view(), name='index'),
    url(r'^(?P<pk>[-\w]+)/$', views.OrderDetailView.as_view(), name='detail'),
    url(r'^(?P<pk>[-\w]+)/delete/$', views.OrderDeleteView.as_view(), name='delete'),
    url(r'^(?P<pk>[-\w]+)/update/$', views.OrderUpdateView.as_view(), name='update'),
]
